/* 
    Created on : 15/08/2026, 06:00 PM
*/

header{
    position: sticky;
    top: 0;
    z-index: 1000;
}

.imagenTitulo{
    text-align: center;
    max-width: 100%;
    height: auto;
}

.fondoSeccion{
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
}

.seccionBotones{
    text-align: center;
}

.botonesPrincipales{
    /*background-color: #1e5fd0;*/
    color: black;
    text-align: center;
    display: inline-block;
    font-size: 20px;
}

.letraTitulo{
    color: white;
    text-align: center;
    font-size: 25px;
    text-shadow: 5px 5px #00257c;
}

.formatoParrafoPrincipal{
    color: white;
    font-size: 25px;
    text-align: justify;
    margin-right: 35%;
}

footer{
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
}

.logoInferior{
    height: 10%;
    width: 10%;
    border-radius: 20%;
    margin-left: 10%;
    margin-right: 10%;
}

.mapaUbicacion{
    height: 100%;
    width: 100%;
    border-radius: 20%;
}

.deslizado{
    width: 100%;
    max-width: 400px;
    height: 300px;
    margin: 40px auto;
    overflow: hidden;
    border-radius: 15px;
    position: relative;
}

.imagenesD{
    display: flex;
    width: 500%;
    height: 100%;
    animation: desplazar 15s infinite;
}

.imagenesD img{
    width: 20%;
    height: 100%;
    object-fit: cover;
}

@keyframes desplazar{
    0%, 15% {
        transform: translateX(0);
    }

    20%, 35% {
        transform: translateX(-20%);
    }

    40%, 55% {
        transform: translateX(-40%);
    }

    60%, 75% {
        transform: translateX(-60%);
    }

    80%, 95% {
        transform: translateX(-80%);
    }

    100% {
        transform: translateX(0);
    }
}

.subtituloClientes{
    color: white;
    text-align: center;
}

.contenedorClientes{
    text-align: center;
}

.bordeclientes{
    border-radius: 10%;
    height: 100px;
    width: 200px;
    text-align: center;
}

.contenedorServicio{
    display: flex;
    gap: 20px;
    width: 100%;
    max-width: 1500px;
    justify-content: center;
    flex-wrap: wrap; /* Hace que se adapte a pantallas de celulares */
}

.bordeServicios img{
    width: 100%;
    height: 60%;
    display: block;
}

.bordeServicios{
    border-radius: 10%;
    height: auto;
    width: 300px;
    margin-left: 5%;
    margin-right: 5%;
    text-align: center;
    padding: 15px;
    margin: 0;
    font-size: 16px;
    color: #333;
    font-weight: bold;
}
.bordeServicios h6{
    padding: 15px;
    margin: 0;
    font-size: 20px;
    color: white;
    font-weight: bold;
}

.contenedorServicio .bordeServicios{
    flex: 1;
    min-width: 250px; /* Tamaño mínimo antes de bajar de fila */
}

.columnaServicio{
    margin: 0;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.datosInformacion{
    color: white;
    text-align: left
    font-size: 15px;
    vertical-align: baseline;
}

.contenedorInfo{
    margin-left: 5%;
}

/*.contenedorInformacion{
    display: flex;
    flex-direction: row; /* o row si estan al lado */
    /*gap: 20px; /* Espacio automatico entre los div */
/*}*/

.imagenLogoPie{
    width: 20%;
    height: 20%;
    text-align: left;
}

.botonReserva{
    background-color: #00257c;
    font-size: 20x;
    padding: 10px 30px;
    border-radius: 25px;
    cursor: pointer;
}

.botonReserva:hover{
    background-color: #02c4ff;    
}

.botonFlotante{
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #007bff;
    color: white;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    text-align: center;
    line-height: 45px;
    text-decoration: none;
    font-size: 20px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
    z-index: 1000;
}

.botonFlotante:hover{
    background-color: white;
    color: #007bff;
}

.divFlexible{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
    margin-left: 5%;
    margin-right: 5%;
}

.divFlexibleImg{
    flex: 1 1 250px;
    max-width: 100%;
    height: auto;
}

.divFlexibleOtro{
    flex: 1 1 250px;
}

.imagenesServcio{
    display: flex;
    width: 500%;
    height: 100%;
    animation: desplazarS 15s infinite;
}

.imagenesS img{
    width: 20%;
    height: 100%;
    object-fit: cover;
}

@keyframes desplazarS{
    0%, 15% {
        transform: translateX(0);
    }

    20%, 35% {
        transform: translateX(-20%);
    }

    40%, 55% {
        transform: translateX(-40%);
    }

    60%, 75% {
        transform: translateX(-60%);
    }

    80%, 95% {
        transform: translateX(-80%);
    }

    100% {
        transform: translateX(0);
    }
}
